program demo;

{$MODE objfpc}{$H+}
{$IFDEF mswindows}{$APPTYPE console}{$ENDIF}

uses
{$IFDEF unix}
  cthreads,
  cwstring,
{$ENDIF}
  sysutils,
  msetypes,
  msesysintf,
  msesystypes;

var
  lpath: msestring;

begin
  lpath := sys_getapplicationpath;
  writeln('sys_getapplicationpath: ', lpath);

  writeln('sys_getcurrentdir: ', sys_getcurrentdir);
  writeln('sys_getapphomedir: ', sys_getapphomedir);
  writeln('sys_getuserhomedir: ', sys_getuserhomedir);
  writeln('sys_getusername: ', sys_getusername);
  writeln('sys_gettempdir: ', sys_gettempdir);

  writeln('sys_getutctime: ', datetimetostr(sys_getutctime));
  writeln('sys_getlocaltime: ', datetimetostr(sys_getlocaltime));
  writeln('sys_localtimeoffset: ', datetimetostr(sys_localtimeoffset));
  writeln('sys_getlangname: ', sys_getlangname);
end.
